> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or replace a funder exclusion rule



## OpenAPI

````yaml https://app.herondata.io/swagger put /api/funder_exclusion_rules/{funder_heron_id}/
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/funder_exclusion_rules/{funder_heron_id}/:
    put:
      summary: Create or replace a funder exclusion rule
      parameters:
        - in: path
          name: funder_heron_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomerFunderExclusionRuleInputSchema'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerFunderExclusionRuleSchema'
          description: Replaced funder exclusion rule
        '400':
          description: Invalid matcher
        '404':
          description: Broker customer or funder not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CustomerFunderExclusionRuleInputSchema:
      additionalProperties: false
      properties:
        not_senders:
          items:
            type: string
          type: array
        sender_domains:
          items:
            pattern: >-
              ^(?:[A-Za-z0-9](?:[A-Za-z0-9-]{0,61}[A-Za-z0-9])?\.)+[A-Za-z]{2,63}$
            type: string
          type: array
        sender_emails:
          items:
            format: email
            type: string
          type: array
        sender_names:
          items:
            type: string
          type: array
      type: object
    CustomerFunderExclusionRuleSchema:
      properties:
        funder:
          allOf:
            - $ref: '#/components/schemas/FunderSearchResultSchema'
          readOnly: true
        funder_heron_id:
          readOnly: true
          type: string
        not_senders:
          items:
            type: string
          readOnly: true
          type: array
        reason:
          readOnly: true
          type: string
        sender_domains:
          items:
            type: string
          readOnly: true
          type: array
        sender_emails:
          items:
            type: string
          readOnly: true
          type: array
        sender_names:
          items:
            type: string
          readOnly: true
          type: array
      type: object
    FunderSearchResultSchema:
      additionalProperties: false
      properties:
        heron_id:
          readOnly: true
          type: string
        logo_url:
          nullable: true
          readOnly: true
          type: string
        name:
          readOnly: true
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````